## pyrite-0.9.3.tar.gz

=== Sulfur/Makefile ===
# Generated automatically from Makefile.in by configure.

DESTDIR =

MODULE_PATH = $(DESTDIR)/usr/lib/python1.5/site-packages
MODULE_DIR = $(MODULE_PATH)/Sulfur

INSTALL = /usr/bin/install -c

INSTALL_DIRS = Application GUI GUI/tk_support

all:
	@true

install:
	$(INSTALL) -m 755 -d $(MODULE_DIR)
	for i in $(INSTALL_DIRS) ; do \
	    if [ ! -d $(MODULE_DIR)/$$i ]; then \
	        $(INSTALL) -m 755 -d $(MODULE_DIR)/$$i ; \
	    fi ; \
	done ;
	for i in `find . -name '*.py' -print` ; do \
	    $(INSTALL) -m 644 $$i $(MODULE_DIR)/$$i ; \
	done ;

uninstall:
	rm -rf $(MODULE_DIR)

clean:
	rm -f config.cache config.log config.status Makefile

=== Sulfur/doc/Makefile ===
#
#  $Id: Makefile,v 1.1 1999/05/16 08:58:54 rob Exp $
#
#  The Pyrite Programmer's Guide is prepared using the SGML
#  DocBook DTD.  In order to rebuild it from source you will need the
#  following tools:
#
#    The SGML-Tools suite
#    The Jade DSSSL engine
#    A TeX installation including JadeTex
#    The DocBook stylesheet package by Norman Walsh
#
#  If you happen to be running a Debian GNU/Linux system, this stuff
#  can be found in the packages sp, jade, jadetex, and
#  docbook-stylesheets.  (There are, of course, a LOT of
#  dependencies. :-)
#

DESTDIR = /usr/local/doc/pyrite

DOCBOOK_PRINT = /usr/lib/dsssl/stylesheets/docbook/print/docbook.dsl
DOCBOOK_HTML = /usr/lib/dsssl/stylesheets/docbook/html/docbook.dsl
DOCBOOK_DCL = /usr/lib/sgml/declaration/docbook.dcl

DOC = sulfur-guide

all: dvi

# what do we want to distribute?
dist: html

# what do we put in the Debian package?
debian: html

dvi: $(DOC).dvi

ps: $(DOC).ps.gz

pdf: $(DOC).pdf

html: html/book1.html

clean:
	rm -f *.aux *.fot *.log *.out *~ *.tex

cleanall:
	rm -f *.aux *.fot *.log *.out *~ *.tex *.dvi *.ps.gz *.pdf html/*.html

# Note: there are three calls to jadetex here because that seems to
# be how many it takes to get all the page number references right!
$(DOC).dvi: $(DOC).tex
	jadetex $(DOC).tex
	jadetex $(DOC).tex
	jadetex $(DOC).tex

$(DOC).pdf: $(DOC).dvi
	pdfjadetex $(DOC).tex

$(DOC).tex: sgml/*.sgml sgml/*.ent
	jade -t tex -d $(DOCBOOK_PRINT) -o $(DOC).tex $(DOCBOOK_DCL) sgml/$(DOC).sgml

$(DOC).ps.gz: $(DOC).dvi
	dvips -o $(DOC).ps $(DOC).dvi
	gzip $(DOC).ps

html/book1.html: sgml/*.sgml sgml/general.ent
	cd html; jade -t sgml -d $(DOCBOOK_HTML) $(DOCBOOK_DCL) ../sgml/$(DOC).sgml

=== doc/prg/Makefile ===
#
#  $Id: Makefile,v 1.4 1999/07/16 05:32:01 rob Exp $
#
#  The Pyrite Programmer's Guide is prepared using the SGML
#  DocBook DTD.  In order to rebuild it from source you will need the
#  following tools:
#
#    The SGML-Tools suite
#    The Jade DSSSL engine
#    A TeX installation including JadeTex
#    The DocBook stylesheet package by Norman Walsh
#
#  If you happen to be running a Debian GNU/Linux system, this stuff
#  can be found in the packages sp, jade, jadetex, and
#  docbook-stylesheets.  (There are, of course, a LOT of
#  dependencies. :-)
#

DESTDIR = /usr/local/doc/pyrite

DOCBOOK_PRINT = /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/print/docbook.dsl
DOCBOOK_HTML = /usr/lib/sgml/stylesheet/dsssl/docbook/nwalsh/html/docbook.dsl
DOCBOOK_DCL = /usr/lib/sgml/declaration/docbook.dcl

all: dvi ps

dvi: prg.dvi

ps: prg.ps.gz

pdf: prg.pdf

html: html/book1.html

clean:
	rm -f *.aux *.fot *.log *.out *~ *.tex

cleanall:
	rm -f *.aux *.fot *.log *.out *~ *.tex *.dvi *.ps.gz *.pdf html/*.html

# Note: there are three calls to jadetex here because that seems to
# be how many it takes to get all the page number references right!
prg.dvi: prg.tex
	jadetex prg.tex
	jadetex prg.tex
	jadetex prg.tex

prg.pdf: prg.dvi
	pdfjadetex prg.tex

prg.tex: prg.sgml *.sgml *.ent
	jade -t tex -d $(DOCBOOK_PRINT) $(DOCBOOK_DCL) prg.sgml

prg.ps.gz: prg.dvi
	dvips -o prg.ps prg.dvi
	gzip prg.ps

html/book1.html: prg.sgml prg-*.sgml general.ent
	cd html; jade -t sgml -d $(DOCBOOK_HTML) $(DOCBOOK_DCL) ../prg.sgml

=== i18n/de/Makefile ===
#
format: pyrite.mo

merge: pyrite.po

pyrite.po: ../pyrite.pox
	if [ -f pyrite.po ] ; then \
	    cp pyrite.po pyrite.po.old ; \
	    $(MSGMERGE) pyrite.po ../pyrite.pox > pyrite.pox ; \
	    mv pyrite.pox pyrite.po ; \
	else \
	    cp ../pyrite.pox pyrite.po ; \
	    echo "Please translate pyrite.po now" ; \
	    exit 1 ; \
	fi

pyrite.mo: pyrite.po
	$(MSGFMT) -v -o pyrite.mo pyrite.po

install:
	-mkdir -p $(LOCALEDIR)/de/LC_MESSAGES/
	cp pyrite.mo $(LOCALEDIR)/de/LC_MESSAGES/

=== debian/changelog ===
pyrite (0.9.3) unstable; urgency=low

  * New "upstream" release.
  * Depends: sulfur 0.1.3.

 -- Rob Tillotson <robt@debian.org>  Mon, 20 Dec 1999 04:06:52 -0600

pyrite (0.9.2) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Fri, 17 Dec 1999 18:47:46 -0600

pyrite (0.9.1) unstable; urgency=low

  * New "upstream" release.
  * Depends: sulfur 0.1.1.

 -- Rob Tillotson <robt@debian.org>  Wed,  8 Dec 1999 00:58:02 -0600

pyrite (0.9.0) unstable; urgency=low

  * New "upstream" release.
  * Added build dependency on gettext (closes: #51698)
  * Updated sulfur dependency to 0.1.0.
  * Standards-Version 3.1.0.

 -- Rob Tillotson <robt@debian.org>  Tue,  7 Dec 1999 04:25:54 -0600

pyrite (0.7.9) unstable; urgency=low

  * New "upstream" release.
  * Added Build-Depends.

 -- Rob Tillotson <robt@debian.org>  Thu,  4 Nov 1999 01:48:31 -0600

pyrite (0.7.8) unstable; urgency=low

  * New "upstream" release.
  * debian/copyright: Updated URL and license.
  * debian/control: Added Suggests: doc-base.
  * Relocated documentation to /usr/share/doc.
  * Changed to native debian package.

 -- Rob Tillotson <robt@debian.org>  Fri, 29 Oct 1999 16:46:29 -0500

pyrite (0.7.7-1) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Sat,  7 Aug 1999 01:53:57 -0400

pyrite (0.7.6-1) unstable; urgency=low

  * New "upstream" release.
  * Versioned dependency on sulfur.

 -- Rob Tillotson <robt@debian.org>  Mon, 26 Jul 1999 04:07:57 -0500

pyrite (0.7.5-1) unstable; urgency=low

  * New "upstream" release.
  * First version uploaded to distribution since 0.6.1 (closes: #39623)
  * Fixed Python dependencies (closes: #41333)
  * Rewrote manual pages to reflect reality (closes: #39897)
  * New pyriteconfig script (closes: #39892)
  * Standards-Version 2.5.1.

 -- Rob Tillotson <robt@debian.org>  Wed, 23 Jun 1999 01:50:08 -0500

pyrite (0.7.4-1) unstable; urgency=low

  * New "upstream" release.
  * Renamed command line utilities: pp-sync is now pyrite-sync, pp-install
    is now pyrite-install, and pp-userconfig is now pyrite-user.
  * Replaced explicit calls to install-docs in postinst and prerm with
    automatic debhelper insertions.
  * Removed no longer needed suggestion of python-tk.

 -- Rob Tillotson <robt@debian.org>  Mon, 21 Jun 1999 14:39:20 -0500

pyrite (0.7.3-1) unstable; urgency=low

  * New "upstream" release.
  * Make dependencies on python-net and python-misc non-versioned, to work
    with reorganized python packages.

 -- Rob Tillotson <robt@debian.org>  Sun, 20 Jun 1999 03:23:20 -0500

pyrite (0.7.2-1) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Sun,  6 Jun 1999 20:04:26 -0500

pyrite (0.7.1-1) unstable; urgency=low

  * New "upstream" release.

 -- Rob Tillotson <robt@debian.org>  Fri, 28 May 1999 01:22:29 -0500

pyrite (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Use dh_link instead of explicit symlinks.

 -- Rob Tillotson <robt@debian.org>  Thu, 13 May 1999 02:10:06 -0500

pyrite (0.6.1-1) unstable; urgency=low

  * New upstream release.

 -- Rob Tillotson <robt@debian.org>  Thu, 11 Mar 1999 02:05:54 -0600

pyrite (0.6.0-2) unstable; urgency=low

  * debian/docs: removed ChangeLog, since it is installed by
    dh_installchangelogs.  (Fixes #29092)

 -- Rob Tillotson <robt@debian.org>  Sat,  6 Feb 1999 16:54:49 -0600

pyrite (0.6.0-1) unstable; urgency=low

  * Renamed.
  * New upstream release.

 -- Rob Tillotson <robt@debian.org>  Fri, 22 Jan 1999 19:04:04 -0600

palmpython (0.5.5-1) unstable; urgency=low

  * Clean up in debian/rules. (Fixes #28402)
  * Various fixes (see the "upstream" changelog).

 -- Rob Tillotson <robt@debian.org>  Sun, 25 Oct 1998 20:49:05 -0600

palmpython (0.5.4-1) unstable; urgency=low

  * New upstream release. (Fixes #26672)

 -- Rob Tillotson <robt@debian.org>  Sun, 13 Sep 1998 00:11:18 -0500

palmpython (0.5.3-1) unstable; urgency=low

  * Changed priority to "extra".
  * New upstream release.

 -- Rob Tillotson <robt@debian.org>  Thu, 10 Sep 1998 13:56:45 -0500

palmpython (0.5.2-1) unstable; urgency=low

  * Initial Release.

 -- Rob Tillotson <robt@debian.org>  Thu, 27 Aug 1998 01:53:09 -0500

Local variables:
mode: debian-changelog
add-log-mailing-address: "robt@debian.org"
End:

=== debian/control ===
Source: pyrite
Section: otherosfs
Priority: extra
Maintainer: Rob Tillotson <robt@debian.org>
Standards-Version: 3.1.0
Build-Depends: python-base (>= 1.5.2), python-dev (>= 1.5.2), libpisock-dev (>= 0.9.3), gettext

Package: pyrite
Architecture: any
Depends: sulfur (>= 0.1.3), python-base (>= 1.5.2-4), ${shlibs:Depends}
Suggests: pilot-link, doc-base
Replaces: palmpython
Provides: palmpython
Conflicts: palmpython
Description: Palm Computing(R) platform communication kit for Python
 Pyrite is an extension package for the Python programming
 language which allows access to Palm Computing platform connected
 organizers (such as the PalmIII(tm) and PalmPilot(tm) devices
 made by 3Com).  Pyrite provides a high-level, object-oriented,
 extensible interface to data both on the handheld and on the local
 system.
 .
 Pyrite includes a set of classes which provide access to
 local and remote Palm OS(tm) databases, with support for applications
 including Address, Datebook, Memo, To Do, MoneyManager, Doc,
 and XWord.  It also includes a conduit management API and a
 set of basic conduits.
 .
 Pyrite should be considered "stable beta" software -- it
 works, but is still under active development and new features
 are being added on a regular basis.

=== debian/rules ===
#!/usr/bin/make -f
# -*-Makefile-*-
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PP_DIR = /usr/lib/python1.5/site-packages/Pyrite
PP_REL = ../lib/python1.5/site-packages/Pyrite

build: build-stamp
build-stamp:
	dh_testdir

	./configure --enable-debian
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

# Add here commands to clean up after the build process.
	-make clean

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

# Add here commands to install the files into debian/tmp
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

#	ln -s $(PP_REL)/util/configsetup.py `pwd`/debian/tmp/usr/sbin/pyriteconfig
#	ln -s $(PP_REL)/util/install.py `pwd`/debian/tmp/usr/bin/pp-install
#	ln -s $(PP_REL)/util/sync.py `pwd`/debian/tmp/usr/bin/pp-sync
#	ln -s $(PP_REL)/util/palmuser.py `pwd`/debian/tmp/usr/sbin/pp-userconfig

#	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/setup_user.py
#	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/fetchusa.py
	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/sync.py
	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/info.py
	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/install.py
#	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/user.py
#	chmod 755 `pwd`/debian/tmp/$(PP_DIR)/util/pdbdiff.py

#	documentation
	cp doc/prg/html/* `pwd`/debian/tmp/usr/share/doc/pyrite/html
	cp doc/prg/*.sgml doc/prg/*.ent doc/prg/Makefile `pwd`/debian/tmp/usr/share/doc/pyrite/sgml
	cp ChangeLog `pwd`/debian/tmp/usr/share/doc/pyrite/changelog.full

#	remove Sulfur, since we will use a separately installed package instead
	rm -rf `pwd`/debian/tmp/$(PP_DIR)/Sulfur

	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installinit
#	dh_installcron
	dh_installmanpages
	dh_undocumented pyrite-product.1 pyrite-user.1
	dh_link
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
